searchNodes=[{"doc":"Simple implementation of standard dice notation See The Wikipedia Page for more information.","ref":"Droll.html","title":"Droll","type":"module"},{"doc":"Parse a standard dice notation formula Examples: iex&gt; Droll . parse ( &quot;d20&quot; ) { :ok , % Droll.Formula { num_dice : 1 , num_sides : 20 , modifier : 0 , operation : :+ } } iex&gt; Droll . parse ( &quot;4d6&quot; ) { :ok , % Droll.Formula { num_dice : 4 , num_sides : 6 , modifier : 0 , operation : :+ } } iex&gt; Droll . parse ( &quot;1d6+1&quot; ) { :ok , % Droll.Formula { num_dice : 1 , num_sides : 6 , modifier : 1 , operation : :+ } } iex&gt; Droll . parse ( &quot;10d5-2&quot; ) { :ok , % Droll.Formula { num_dice : 10 , num_sides : 5 , modifier : 2 , operation : :- } } iex&gt; Droll . parse ( &quot;1d10/1&quot; ) { :ok , % Droll.Formula { num_dice : 1 , num_sides : 10 , modifier : 1 , operation : :/ } } iex&gt; Droll . parse ( &quot;1d10x5&quot; ) { :ok , % Droll.Formula { num_dice : 1 , num_sides : 10 , modifier : 5 , operation : :x } }","ref":"Droll.html#parse/1","title":"Droll.parse/1","type":"function"},{"doc":"Execute a roll based on a formula. See Droll.parse/1 for more information","ref":"Droll.html#roll/1","title":"Droll.roll/1","type":"function"},{"doc":"Represents a parsed formula","ref":"Droll.Formula.html","title":"Droll.Formula","type":"module"},{"doc":"","ref":"Droll.Formula.html#t:t/0","title":"Droll.Formula.t/0","type":"type"},{"doc":"Contains the total and other calculations for a roll","ref":"Droll.Result.html","title":"Droll.Result","type":"module"},{"doc":"","ref":"Droll.Result.html#t:t/0","title":"Droll.Result.t/0","type":"type"},{"doc":"Droll Standard Dice Notation in Elixir. See the Wikipedia page for a full description of the notation. Documentation for Droll is available online .","ref":"readme.html","title":"Droll","type":"extras"},{"doc":"If available in Hex , the package can be installed by adding droll to your list of dependencies in mix.exs : def deps do [ { :droll , &quot;~&gt; 1.0.0&quot; } ] end","ref":"readme.html#installation","title":"Droll - Installation","type":"extras"},{"doc":"Example of rolling a 1 single 20 sided dice: iex(1)&gt; Droll . roll ( &quot;d20&quot; ) { :ok , % Droll.Result { avg : 3.0 , max : 0 , min : 3 , rolls : [ 3 ] , total : 3 } } iex(2)&gt; Droll . roll ( &quot;d20&quot; ) { :ok , % Droll.Result { avg : 20.0 , max : 0 , min : 20 , rolls : [ 20 ] , total : 20 } } iex(3)&gt; Droll . roll ( &quot;d20&quot; ) { :ok , % Droll.Result { avg : 19.0 , max : 0 , min : 19 , rolls : [ 19 ] , total : 19 } } iex(4)&gt; Droll . roll ( &quot;d20&quot; ) { :ok , % Droll.Result { avg : 17.0 , max : 0 , min : 17 , rolls : [ 17 ] , total : 17 } } Example of rolling 4 20 sided dice: iex(1)&gt; Droll . roll ( &quot;2d20&quot; ) { :ok , % Droll.Result { avg : 10.0 , max : 0 , min : 17 , rolls : [ 3 , 17 ] , total : 20 } } iex(2)&gt; Droll . roll ( &quot;2d20&quot; ) { :ok , % Droll.Result { avg : 15.0 , max : 0 , min : 16 , rolls : [ 14 , 16 ] , total : 30 } } iex(3)&gt; Droll . roll ( &quot;2d20&quot; ) { :ok , % Droll.Result { avg : 17.5 , max : 0 , min : 18 , rolls : [ 18 , 17 ] , total : 35 } } iex(4)&gt; Droll . roll ( &quot;2d20&quot; ) { :ok , % Droll.Result { avg : 18.5 , max : 0 , min : 19 , rolls : [ 19 , 18 ] , total : 37 } } Example of modifiers: iex(1)&gt; Droll . roll ( &quot;2d20+10&quot; ) { :ok , % Droll.Result { avg : 17.0 , max : 0 , min : 15 , rolls : [ 9 , 15 ] , total : 34 } } iex(2)&gt; Droll . roll ( &quot;2d20/1&quot; ) { :ok , % Droll.Result { avg : 12.5 , max : 0 , min : 18 , rolls : [ 7 , 18 ] , total : 25.0 } } iex(3)&gt; Droll . roll ( &quot;2d20x8&quot; ) { :ok , % Droll.Result { avg : 5.5 , max : 0 , min : 10 , rolls : [ 10 , 1 ] , total : 11 } } iex(4)&gt; Droll . roll ( &quot;2d20-3&quot; ) { :ok , % Droll.Result { avg : 9.5 , max : 0 , min : 12 , rolls : [ 12 , 10 ] , total : 19 } }","ref":"readme.html#usage","title":"Droll - Usage","type":"extras"},{"doc":"This project was inspired by a Javascript library of the same name.","ref":"readme.html#special-thanks","title":"Droll - Special Thanks","type":"extras"},{"doc":"Copyright 2021 Connor Rigby Licensed under the Apache License, Version 2.0 (the &quot;License&quot;); you may not use this file except in compliance with the License. You may obtain a copy of the License at http :/ / www . apache . org / licenses / LICENSE - 2.0 Unless required by applicable law or agreed to in writing, software distributed under the License is distributed on an &quot;AS IS&quot; BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. See the License for the specific language governing permissions and limitations under the License.","ref":"readme.html#license","title":"Droll - License","type":"extras"}]